• 0
x11

Ориентация SDK на Android 8 и выше

Вопросы

Надеюсь, что кому-нибудь пригодятся статьи о том, как сделать приложение с поддержкой новых версий Андроида:

Ориентация на Android 8 и выше

http://delphiworlds.com/2018/05/targeting-android-8-and-higher/

http://delphiworlds.com/2018/06/targeting-android-8-and-higher-continued/

 

Изменено пользователем x11

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

10 ответов на этот вопрос

  • 0

Хотел установить приложение (написанное на Токио) на Андроид 8 (смартфон Самсунг) - установка не завершена :(

Т.е. придётся разбираться в этих статьях и допиливать.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

С 1 августа 2018 года новые правила в Гугл плей.

https://developer.android.com/distribute/best-practices/develop/target-sdk

The following considerations apply to apps targeting Android 8.0 and higher versions of the platform:

(Следующие соображения применимы к приложениям, ориентированным на Android 8.0 и более поздние версии платформы:)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Что это значит для пользователей Дельфи?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Не важно, для каких программистов. Если ты собираешься выкладывать приложение в маркет, могут забанить.

Мало того, производители устройств, да и сам Андроид не будет давать нормально работать приложению, как мне кажется, т.е. будут программно сами разработчики Андроида привязываться к этим правилам.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Возможно, что приложение даже не установится.

Я своё, например, не смог установить на Самсунг Галакси на базе Андроид 8. Текста ошибки нет, т.е. даже не знаешь причину :(

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Уважаемый X11, пожалуйста, не вводите людей в заблуждение. По теме обязательного использования последних API на форуме уже есть несколько тем.

С августа разрешена публикация новых приложений только с API не ниже 26 (Android 8.0), а с ноября для обновлений.

Для того, чтобы приложение соответствовало новым требованиям, в файле мвнифеста нужно поменять параметр TargetSDKVersion на 26 или выше.

Google никого банить не будет. Приложение просто не пропустят на публикацию. Уже сейчас при размещении в Google Play приложения с более ранней версией SDK, появляется предупреждение, что скоро публиковать можно только с SDK 26 и выше.

Существующие же приложения никто трогать не будет.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
28 минут назад, Alex7wrt сказал:

Для того, чтобы приложение соответствовало новым требованиям, в файле мвнифеста нужно поменять параметр TargetSDKVersion на 26 или выше.

 

Просто поменять - этого мало. Должен быть соответствующий функционал. Просто приложение не будет нормально работать. Это проверено уже.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
29 минут назад, Alex7wrt сказал:

Существующие же приложения никто трогать не будет.

Пути Господни Гугла не исповедимы.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Тема как то неправильно названа. Я подумал про ориентацию экрана. Назовите пожалуйста лучше как "Targeting SDK на Android 8" или "Целевая версия SDK на Android 8"

Изменено пользователем ENERGY

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Object Pascal Interface Files Of The Android 27 and Android 28 SDKs For Delphi 10.2 Tokyo

https://www.fmxexpress.com/object-pascal-interface-files-of-the-android-27-and-android-28-sdks-for-delphi-10-2-tokyo/

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу